Understanding Junos Fusion Enterprise Software and Hardware Requirements

 

This topic describes the software and hardware requirements for a Junos Fusion Enterprise. For Junos Fusion Provider Edge software and hardware requirements, see Understanding Junos Fusion Provider Edge Software and Hardware Requirements. For Junos Fusion Data Center software and hardware requirements, see Understanding Junos Fusion Data Center Software and Hardware Requirements.

It covers:

Aggregation Device to Satellite Device Software Compatibility

A Junos Fusion Enterprise includes an aggregation device or devices running Junos OS and satellite devices running satellite software. The version of Junos OS running on the aggregation device must be compatible with the satellite software versions running on the satellite device in order for the Junos Fusion Enterprise to function.

See Junos Fusion Hardware and Software Compatibility Matrices for software compatibility information for any Junos Fusion Enterprise.

Note

When you upgrade the satellite software version to a release later than the recommend versions listed in the Junos Fusion Hardware and Software Compatibility Matrices, your Junos Fusion system will only benefit from the satellite software fixes. To acquire the full benefits of a satellite software release, including satellite software fixes and new features, we recommend you upgrade both the aggregation device software and its compatible satellite device software for a complete upgrade.

Aggregation Devices

This section details the hardware and software requirements for an aggregation device in a Junos Fusion Enterprise. It covers:

Aggregation Device Hardware Models

Table 1 lists the hardware platforms that are supported as aggregation devices for a Junos Fusion Enterprise. It also lists the supported satellite devices for each Junos OS Release supporting Junos Fusion Enterprise.

Table 1: Supported Aggregation Device Hardware and Supported Satellite Devices by Junos OS Release

Aggregation Device Hardware

Supported Satellite Devices by Junos OS Release

EX9204 Switch

16.1R1 (EX4300)

17.1R1 (EX2300, EX3400, EX4300)

17.3R1 (EX2300, EX3400, EX4300, QFX5100)

18.2R1 (EX2300, EX3400, EX4300, QFX5100, EX4600)

EX9208 Switch

16.1R1 (EX4300)

17.1R1 (EX2300, EX3400, EX4300)

17.3R1 (EX2300, EX3400, EX4300, QFX5100)

18.2R1 (EX2300, EX3400, EX4300, QFX5100, EX4600)

EX9214 Switch

16.1R1 (EX4300)

17.1R1 (EX2300, EX3400, EX4300)

17.3R1 (EX2300, EX3400, EX4300, QFX5100)

18.2R1 (EX2300, EX3400, EX4300, QFX5100, EX4600)

EX9251 Switch

18.1R1 (EX2300, EX3400, EX4300, QFX5100)

18.2R1 (EX2300, EX3400, EX4300, QFX5100, EX4600)

EX9253 Switch

18.2R1 (EX2300, EX3400, EX4300, QFX5100, EX4600)

Maximum Number of Aggregation Devices

A Junos Fusion Enterprise supports one or two aggregation devices.

Cascade Ports

A cascade port is a port on an aggregation device that sends and receives control and network traffic from an attached satellite device.

Table 2 provides a list of line cards on an EX9200 switch that have interfaces that can be converted into cascade ports, and the initial Junos OS release that introduced cascade port support for interfaces on the line card.

Direct attach copper (DAC) cable connections cannot be configured as cascade ports.

Best Practice

A cascade port is typically a 10-Gbps interface with an SFP+ transceiver or a 40-Gbps interface with a QSFP+ transceiver, although other interfaces on the aggregation device can be converted into a cascade port.

Table 2: Line Cards on EX9200 Switch Cascade Port Support

Line Card

Switch Model

Initial Junos OS Release

EX9200-6QS (6-port 40-Gigabit Ethernet QSFP+, 24-port 10-Gigabit Ethernet SFP+ line card)

EX9204

16.1R1

EX9208

16.1R1

EX9214

16.1R1

EX9200-32XS (32-port SFP+ line card)

EX9204

16.1R1

EX9208

16.1R1

EX9214

16.1R1

EX9200-40T (40-port 10/100/1000BASE-T RJ-45 line card)

EX9204

16.1R1

EX9208

16.1R1

EX9214

16.1R1

EX9200-MPC (modular line card)

The following MICs are supported:

  • EX9200-10XS-MIC

  • EX9200-20F-MIC

  • EX9200-40T-MIC

EX9204

17.1R1

EX9208

17.1R1

EX9214

17.1R1

EX9200-40F (40-port 100FX/1000BASE-X SFP line card)

EX9204

17.4R1

EX9208

17.4R1

EX9214

17.4R1

EX9200-40F-M (40-port 100FX/1000BASE-X SFP line card with MACsec)

EX9204

17.4R1

EX9208

17.4R1

EX9214

17.4R1

EX9200-40XS (40-port 10GbE SFP+ line card with MACsec)

EX9204

17.4R1

EX9208

17.4R1

EX9214

17.4R1

EX9200-12QS (12-port 10GbE/40GbE QSFP+ or 4-port 100GbE QSFP28 combo line card)

Note: All ports can operate at 10-Gbps and 40-Gbps speeds. The ports are configured to operate at 10-Gbps speed by default.

EX9204

17.4R1

EX9208

17.4R1

EX9214

17.4R1

EX9253-6Q12C (12-port QSFP28 40GbE/100GbE and 6-port QSFP+ 40GbE line card)

EX9253

18.2R1

EX9253-6Q12C-M (12-port QSFP28 40GbE/100GbE and 6-port QSFP+ 40GbE line card with MACsec)

EX9253

18.2R1

Satellite Devices

This section details the hardware and software requirements for a satellite device in a Junos Fusion Enterprise. It covers:

Satellite Device Hardware Models

Table 3 lists the EX2300 hardware platforms that are supported as satellite devices for a Junos Fusion Enterprise.

To find the required satellite software version, see Junos Fusion Hardware and Software Compatibility Matrices.

Table 3: Supported EX2300 Satellite Device Hardware and Initial Junos OS Release

Hardware

Initial Junos OS Release

EX2300-C-12P

15.1X53-D55

EX2300-C-12T

15.1X53-D55

EX2300-24P

15.1X53-D55

EX2300-24T

15.1X53-D55

EX2300-24T-DC

15.1X53-D55

EX2300-48P

15.1X53-D55

EX2300-48T

15.1X53-D55

Table 4 lists the EX3400 hardware platforms that are supported as satellite devices for a Junos Fusion Enterprise.

To find the required satellite software version, see Junos Fusion Hardware and Software Compatibility Matrices.

Table 4: Supported EX3400 Satellite Device Hardware and Initial Junos OS Release

Hardware

Initial Junos OS Release

EX3400-24P

15.1X53-D55

EX3400-24T

15.1X53-D55

EX3400-24T-DC

15.1X53-D55

EX3400-48P

15.1X53-D55

EX3400-48T

15.1X53-D55

EX3400-48T-AFI

15.1X53-D55

Table 5 lists the EX4300 hardware platforms that are supported as satellite devices for a Junos Fusion Enterprise.

To find the required satellite software version, see Junos Fusion Hardware and Software Compatibility Matrices.

Table 5: Supported EX4300 Satellite Device Hardware and Initial Junos OS Release

Hardware

Initial Junos OS Release

EX4300-24P

14.1X53-D43

EX4300-24T

14.1X53-D43

EX4300-32F

14.1X53-D43

EX4300-48P

14.1X53-D43

EX4300-48T

14.1X53-D43

EX4300-48T-BF

14.1X53-D43

EX4300-48T-DC

14.1X53-D43

EX4300-48T-DC-BF

14.1X53-D43

Table 6 lists the QFX5100 hardware platforms that are supported as satellite devices for a Junos Fusion Enterprise.

To find the required satellite software version, see Junos Fusion Hardware and Software Compatibility Matrices.

Table 6: Supported QFX5100 Satellite Device Hardware and Initial Junos OS Release

Hardware

Initial Junos OS Release

QFX5100-48S-6Q

14.1X53-D43

QFX5100-48T-6Q

14.1X53-D43

Table 7 lists the EX4600 hardware platforms that are supported as satellite devices for a Junos Fusion Enterprise.

Note

The EX4600-EM-8F and QFX-EM-4Q expansion modules are not supported in a Junos Fusion Enterprise.

Table 7: Supported EX4600 Satellite Device Hardware and Initial Junos OS Release

Hardware

Initial Junos OS Release

EX4600-40F

14.1X53-D47

Satellite Device Firmware Requirements

Table 8 lists the firmware requirements for satellite devices for a Junos Fusion Enterprise.

Table 8: Minimum Satellite Device Firmware Version Requirements

Satellite Device

Minimum U-boot Release

Minimum Loader Version

Minimum PoE Firmware

EX2300

1.3.2

NA

1.6.1.1.9

EX3400

1.3.0

NA

1.6.1.1.9

EX4300

NA

NA

2.6.3.9.2.1

EX4600

NA

NA

NA

QFX5100

NA

NA

NA

Satellite Device Software Requirements for Satellite Device Clustering

A standalone switch must be running the required satellite software before it can be added to a Junos Fusion Enterprise as a member of a satellite device cluster. A standalone switch running any version of satellite software below the minimum required version for that switch is not recognized by the aggregation device and cannot be added to a Junos Fusion Enterprise as a member of a satellite device cluster. To find the required satellite software version, see Junos Fusion Hardware and Software Compatibility Matrices.

If your switch is running a version of satellite or Junos OS software below the required minimum and you want to include the switch in a satellite device cluster, follow one of these procedures:

  • if your switch is already cabled into a Junos Fusion and is able to upgrade to a version of satellite software that supports satellite device clustering, upgrade the satellite software on the switch before adding it to the satellite device cluster. See Configuring or Expanding a Junos Fusion Enterprise.

  • If your switch is not cabled into a Junos Fusion, install a version of Junos OS that supports satellite device clustering using the procedure outlined in Installing Junos OS Software on a Standalone Device Running Satellite Software before installing the switch into the satellite device cluster.

    Once the switch is running a version of Junos OS that supports satellite device clustering, you can install the required satellite software version manually or as part of the satellite software installation that occurs as part of the procedure for adding a satellite device to a Junos Fusion Enterprise.

Note

An aggregation device running Junos OS Release 16.1 is compatible with clustered satellite devices running SNOS version 2.0R1. If the aggregation device is running Junos OS Release 17.1, the clustered satellite devices must be running SNOS version 3.0R1. To upgrade an aggregation device from Junos OS Release 16.1 to Junos OS Release 17.1 (or to add EX2300 and EX3400 switches to your Junos Fusion Enterprise setup), you must first upgrade the EX4300 satellite devices to SNOS version 3.0R1 and then upgrade the aggregation device to Junos OS Release 17.1. See Upgrading from Junos OS Release 16.1 to 17.1 in a JUNOS Fusion Enterprise System in Configuring or Expanding a Junos Fusion Enterprise.

Satellite Software to Junos OS Conversion Requirements

A satellite device can be removed from a Junos Fusion Enterprise and reinserted into a network as a switch running Junos OS. See Removing a Satellite Device from a Junos Fusion.

A device running satellite software must be converted to a version of Junos OS that supports satellite device conversion. The minimum Junos OS versions that support satellite device conversion are provided in this document.

The following list provides additional information for converting each type of switch from satellite software to Junos OS.

  • EX2300 and EX3400 switches:

    • EX2300 and EX3400 switches cannot be converted from satellite software to Junos from an aggregation device. To convert the satellite software, remove the satellite device from the Junos Fusion Enterprise and perform the upgrade manually. See Installing Junos OS Software on a Standalone Device Running Satellite Software

    • EX2300 and EX3400 switches must be converted to Junos OS Release 15.1X53-D55 or later.

    • The target Junos OS image must be a signed version of Junos OS. The text string -signed text must be n the Junos OS image filename when the image is downloaded from the Software Center.

  • EX4300 switches:

    • EX4300 switches must be converted to Junos OS Release 14.1X53-D43 or later.

    • The target Junos OS image must be a signed version of Junos OS. The text string -signed text must be n the Junos OS image filename when the image is downloaded.

  • QFX5100 switches:

    • The QFX5100 switch must be converted to Junos OS Release 14.1X53-D43 or later.

    • The target Junos OS image must be a Preboot eXecution Environment (PXE) version of Junos OS. The PXE version of Junos OS includes pxe in the package name when it is downloaded from the Software Center—for example, the PXE image for Junos OS Release 14.1X53-D43 is named install-media-pxe-qfx-5-14.1X53-D43.3-domestic-signed.tgz.

    • The target Junos OS image must be a signed version of Junos OS. The text string -signed text must be n the Junos OS image filename when the image is downloaded.

  • EX4600 switches:

    • The EX4600 switch must be converted to Junos OS Release 14.1X53-D47 or later.

    • The target Junos OS image must be a Preboot eXecution Environment (PXE) version of Junos OS. The PXE version of Junos OS includes pxe in the package name when it is downloaded from the Software Center—for example, install-media-pxe-qfx-5-14.1X53-D47.<version>-domestic-signed.tgz.

    • The target Junos OS image must be a signed version of Junos OS. The text string -signed text must be n the Junos OS image filename when the image is downloaded.

Power over Ethernet Requirements for a Satellite Device

A satellite device must be running Power over Ethernet (PoE) controller software version as specified in Table 8.

To check the PoE controller software version, enter the show chassis firmware detail command and view the PoE firmware output.

For information on checking and upgrading the PoE controller software, see Upgrading the PoE Controller Software.

Note

PoE is not supported for QFX5100 satellite devices.

Maximum Number of Satellite Devices or Extended Ports

A Junos Fusion Enterprise supports up to 128 satellite devices or 6,000 extended port access interfaces.